UTF8Writer
Date: 2016-12-03

com.fasterxml.jackson.core.io

## Class UTF8Writer

- java.lang.Object
- - java.io.Writer
  - - com.fasterxml.jackson.core.io.UTF8Writer

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

      public final class UTF8Writer
      extends java.io.Writer

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UTF8Writer(IOContext ctxt, java.io.OutputStream out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Writer` | `append(char c)`
    `void` | `close()`
    `protected int` | `convertSurrogate(int secondPart)` Method called to calculate UTF codepoint, from a surrogate pair.
    `void` | `flush()`
    `protected static void` | `illegalSurrogate(int code)`
    `protected static java.lang.String` | `illegalSurrogateDesc(int code)`
    `void` | `write(char[] cbuf)`
    `void` | `write(char[] cbuf, int off, int len)`
    `void` | `write(int c)`
    `void` | `write(java.lang.String str)`
    `void` | `write(java.lang.String str, int off, int len)`

    - ### Methods inherited from class java.io.Writer

      `append, append`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UTF8Writer

          public UTF8Writer(IOContext ctxt,
                    java.io.OutputStream out)

  - ### Method Detail

    - #### append

          public java.io.Writer append(char c)
                                throws java.io.IOException

      Specified by:
        `append` in interface `java.lang.Appendable`
      Overrides:
        `append` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `java.io.Flushable`
      Specified by:
        `flush` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(char[] cbuf)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(char[] cbuf,
                   int off,
                   int len)
                     throws java.io.IOException

      Specified by:
        `write` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(int c)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.lang.String str)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.lang.String str,
                   int off,
                   int len)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### convertSurrogate

          protected int convertSurrogate(int secondPart)
                                  throws java.io.IOException

      Method called to calculate UTF codepoint, from a surrogate pair.
      Throws:
        `java.io.IOException`

    - #### illegalSurrogate

          protected static void illegalSurrogate(int code)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### illegalSurrogateDesc

          protected static java.lang.String illegalSurrogateDesc(int code)